View Issue Details

IDProjectCategoryView StatusLast Update
0032616PackagesLCLpublic2019-02-05 15:32
ReportertomitomyAssigned ToMichl 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSLinux Mint Mate 64-bitOS Version18.2
Product Version1.8RC4Product Build 
Target Version2.0Fixed in Version 
Summary0032616: TMemo.Cursor does not work
Description"TMemo.Cursor := anycursor" does not work on my tests on Lazarus 1.8.0RC4 Linux 64 Gtk2. Some said it works correctly on Windows but I haven't tested it on Windows.

Please visit this discussion for more information:
http://forum.lazarus.freepascal.org/index.php/topic,38724.0.html
Steps To ReproduceUse the code below the reproduce the issue:

procedure TForm1.FormCreate(Sender: TObject);
begin
  Memo1.Cursor := crHandPoint;
end;
TagsNo tags attached.
Fixed in Revision59917
LazTarget-
WidgetsetGTK 2
Attached Files

Relationships

related to 0034976 resolvedMichl Lazarus When hovering the mouse cursor over TMemo component at runtime, mouse cursor wont change to text cursor. 

Activities

Michl

2018-12-27 23:07

developer   ~0112925

Fixed in trunk. Please test and close if ok.

Michl

2019-02-05 15:32

developer  

test.zip (2,078 bytes)

Issue History

Date Modified Username Field Change
2017-10-26 17:21 tomitomy New Issue
2017-10-26 19:23 Michl Assigned To => Michl
2017-10-26 19:23 Michl Status new => assigned
2018-12-27 23:07 Michl Fixed in Revision => 59917
2018-12-27 23:07 Michl LazTarget => -
2018-12-27 23:07 Michl Note Added: 0112925
2018-12-27 23:07 Michl Status assigned => resolved
2018-12-27 23:07 Michl Resolution open => fixed
2018-12-27 23:07 Michl Target Version => 2.0
2019-01-30 16:48 Michl Relationship added related to 0034976
2019-02-05 15:32 Michl File Added: test.zip